{% extends '::base.html.twig' %} 
{% block title %}Phonemart{% endblock %}
{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdratc/css/style.css') }}">
  <link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdratc/css/icons.css') }}">

{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">
		

      <div id="at_consultas_atc">
        <div style="text-align: center;padding-top: 5px;"><h3>Pedidos Phonemart</h3></div>
        <div id="atc_cp">

          <form id="form_consultas">

            <div class="row" id="form1" style="margin-bottom: 20px;">
                <div class="col-md-4">
                  <label class="required">Nombre:</label></br>
                  <input type="text" id="txt_ncliente" placeholder="Nombre de Cliente" class="form-control">
                </div>
                <div class="col-md-4">
                  <label class="required">Apellido Paterno:</label></br>
                  <input type="text" id="txt_appcliente" placeholder="Apellido Paterno" class="form-control">
                </div>
                <div class="col-md-4">
                  <label>Apellido Materno:</label></br>
                    <input type="text" id="txt_apmcliente" placeholder="Apellido Materno" class="form-control">
                </div>                     
            </div>
            <div class="row" id="form1">
              <div class="col-md-4">
                  <label>Pedido:</label></br>
                  <input type="text" id="txt_pedido" placeholder="Número de pedido" class="form-control">
                </div>
                <div class="col-md-4">
                  <label>Número de Tarjeta:</label></br>
                  <input type="text" id="txt_tarjeta" maxlength="16" placeholder="Número de tarjeta" class="form-control">
                </div>
                <div class="col-md-4">
                  <label>Tipo de compra:</label></br>
                  <select id="txt_tipocompra" class="form-control">
                      <option value="">----------------</option>
                      <option value="COD">COD</option>
                      <option value="TARJETA">TDC</option>
                  </select>  
                </div>        
            </div>  

            <div class="row" id="form3">
              <div class="col-md-12"><button type="button" class="btn btn-warning" id="btn_consulta" onclick="consulta_pedido();">Consultar</button></div>
            </div>
          </form>

          <div id="div_tbl_atc" class="table-responsive">  
            <table id="tbl_consultas_atc" class="table table-bordered" >
              <thead class='head_table'>
                <tr>
                  <td style="width: 50px !important;">Pedido</td>
                  <td>Nombre Cliente</td>
                  <td style="width: 89px !important;">Fecha Pedido</td>
                  <td style="width: 68px !important;">Tipo Pago</td>
                  <td style="width: 68px !important;">Número de Tarjeta</td>
                  <td style="width: 240px !important;">Productos</td>
                  <td style="width: 69px !important;">Gastos Envio</td>
                  <td style="width: 60px !important;">Subtotal</td>
                  <td>Total</td>
                  <td>Estatus</td>
                  <td></td>                   
                </tr>
              </thead>
              <tbody id="body_consultas_atc" style="text-align: center;">
                
              </tbody>
            </table>
          </div>
        
      </div>

<!--POPUP OPERACION -->
<div class="modal fade bs-example-modal-lg modal_base" id="popup_atc" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" >
  <div class="modal-dialog modal-lg" style="width: 85%;">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title" id="title_atc"></h3>
      </div>
      <div class="modal-body" id="body_atc">

      </div>
      <div class="modal-footer" id="footer_atc">
      </div>
    </div>
  </div>
</div>

	</div>

{% endblock %}
{% block javascripts %}
  <!--TABLE API -->
  <script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
    <script>
    
    var table;
    var urls = urls || {};
    urls.sap = urls.sap || {}
    urls.sap.flujoPedido = "{{ path('flujo_pedido_SAP') }}";
    //Loading para consulta de pedido
    var img = new Image();
    img.src = "{{ asset('vendor/img/bubbles_load.gif') }}";
    //Imagen SAP
    var img_SAP = new Image();
    img_SAP.src = "{{ asset('vendor/img/sap-logo.png') }}";
    //Imagen MDR
    var img_MDR = new Image();
    img_MDR.src = "{{ asset('bundles/mdrcobranza/images/logoMDR.png') }}";
    //Loading para consulta de pedido
    var img_loding = new Image();
    img_loding.src = "{{ asset('vendor/img/lines_load.gif') }}";
    
    //Logos de las mensajeria
    var logo_skymex = new Image();
    logo_skymex.src = "{{ asset('vendor/img/skymex_logo.png') }}";

    var logo_estafeta = new Image();
    logo_estafeta.src = "{{ asset('vendor/img/estafeta_logo.png') }}";

    var logo_fedex = new Image();
    logo_fedex.src = "{{ asset('vendor/img/fedex_logo.png') }}";

    var img_pdf = new Image();
    img_pdf.src = "{{ asset('vendor/img/pdf.png') }}";

</script>
<script type="text/template" id='previewBodyTemplate'> 
  <% 
  $('#title_atc').html('PHONEMART: Pedido '+detalles_pedidocrm[0].pedido+'<label style="float: right;">Detalle del Pedido</label>'); 
    var StipoLlamada="<option>-------------------------</option>";
      for(var x=0;x<=ATipoLlamada.length-1;x++){
        StipoLlamada = StipoLlamada+"<option value='"+ATipoLlamada[x].text+"'>"+ATipoLlamada[x].text+"</option>";
        //console.log(StipoLlamada);
      }
  %>
<div class="row">
  <div class="col-xs-7"> 
    <div class="panel panel-default">
      <div><b>Estatus: </b><span class="cliente"><%= detalles_pedidocrm[0].estatus %></span></div>
        <div class="panel-body" style="padding: 13px !important;">
          <div><b>Cliente: </b><span class="cliente"><%= detalles_pedidocrm[0].nombre %></span></div>
        <div><b>Dirección: </b><%= detalles_pedidocrm[0].calle %>,<%= detalles_pedidocrm[0].numExt %>,<%= detalles_pedidocrm[0].colonia %>,<%= detalles_pedidocrm[0].cp %>,<%= detalles_pedidocrm[0].municipio %>,<%= detalles_pedidocrm[0].estado %></div>
        <div><b>Referencia: </b><%= detalles_pedidocrm[0].indicaciones %></div>
        <div><b>Telefonos Casa: </b><%= detalles_pedidocrm[0].telCasa %>&nbsp;&nbsp;&nbsp;<b>Oficina: </b><%= detalles_pedidocrm[0].telOficina %>&nbsp;&nbsp;&nbsp;<b>Celular: </b><%= detalles_pedidocrm[0].celular %></div>
        </div>
    </div>
    <table class="table table-bordered">
      <thead>
        <tr>
          <th>Cantidad</th>
          <th>Descripción</th>
          <th>Promocion</th>
          <th>PU</th>
          <th>Total</th>
        </tr>
      </thead>
      <tbody>
        <% if(detalles_pedidocrm[0].cant1){ %>
              <tr>
                <td><%= detalles_pedidocrm[0].cant1 %></td>
                <td><%= detalles_pedidocrm[0].prod1 %></td>
                <td><%= detalles_pedidocrm[0].clav1 %></td>
                <td>$ <%= detalles_pedidocrm[0].prec1 %></td>
                <td>$ <%= parseFloat(detalles_pedidocrm[0].cant1 * detalles_pedidocrm[0].prec1) %></td>
              </tr>
        <% } %>
        <% if(detalles_pedidocrm[0].cant2){ %>
              <tr>
                <td><%= detalles_pedidocrm[0].cant2 %></td>
                <td><%= detalles_pedidocrm[0].prod2 %></td>
                <td><%= detalles_pedidocrm[0].clav2 %></td>
                <td>$ <%= detalles_pedidocrm[0].prec2 %></td>
                <td>$ <%= parseFloat(detalles_pedidocrm[0].cant2 * detalles_pedidocrm[0].prec2) %></td>
              </tr>
        <% } %>
        <% if(detalles_pedidocrm[0].cant3){ %>
              <tr>
                <td><%= detalles_pedidocrm[0].cant3 %></td>
                <td><%= detalles_pedidocrm[0].prod3 %></td>
                <td><%= detalles_pedidocrm[0].clav3 %></td>
                <td>$ <%= detalles_pedidocrm[0].prec3 %></td>
                <td>$ <%= parseFloat(detalles_pedidocrm[0].cant3 * detalles_pedidocrm[0].prec3) %></td>
              </tr>
        <% } %>
        <% if(detalles_pedidocrm[0].cant4){ %>
              <tr>
                <td><%= detalles_pedidocrm[0].cant4 %></td>
                <td><%= detalles_pedidocrm[0].prod4 %></td>
                <td><%= detalles_pedidocrm[0].clav4 %></td>
                <td>$ <%= detalles_pedidocrm[0].prec4 %></td>
                <td>$ <%= parseFloat(detalles_pedidocrm[0].cant4 * detalles_pedidocrm[0].prec4) %></td>
              </tr>
        <% } %>
        <% if(detalles_pedidocrm[0].cant5){ %>
              <tr>
                <td><%= detalles_pedidocrm[0].cant5 %></td>
                <td><%= detalles_pedidocrm[0].prod5 %></td>
                <td><%= detalles_pedidocrm[0].clav5 %></td>
                <td>$ <%= detalles_pedidocrm[0].prec5 %></td>
                <td>$ <%= parseFloat(detalles_pedidocrm[0].cant5 * detalles_pedidocrm[0].prec5) %></td>
              </tr>
        <% } %>
        <% if(detalles_pedidocrm[0].cant6){ %>
              <tr>
                <td><%= detalles_pedidocrm[0].cant6 %></td>
                <td><%= detalles_pedidocrm[0].prod6 %></td>
                <td><%= detalles_pedidocrm[0].clav6 %></td>
                <td>$ <%= detalles_pedidocrm[0].prec6 %></td>
                <td>$ <%= parseFloat(detalles_pedidocrm[0].cant6 * detalles_pedidocrm[0].prec6) %></td>
              </tr>
        <% } %>
        <tr>    
          <td colspan="3" rowspan="3"></td>
        </tr>
        <tr>
          <td>Envío</td>
          <td>$ <%= parseFloat(detalles_pedidocrm[0].gEnvio) %></td>
        </tr>
        <tr>
          <td>Total</td>
          <td><b>$ <%= parseFloat(detalles_pedidocrm[0].total) %></b></td>
        </tr>
      </tbody>
    </table>
    <div class="row">
      <div class="col-xs-4"><b>Tipo de pago: </b><%= detalles_pedidocrm[0].Pago %></div>
    </div>
    <% if(detalles_pedidocrm[0].cobros.length > 0){ %>

        <div class="panel panel-default">
          <div class="panel-body" style="padding: 13px !important;">
            <div class="row">
              <div class="col-xs-9"><b>Titular: </b><%= detalles_pedidocrm[0].nombre %></div>
            </div>
            <div class="row">
              <div class="col-xs-6"><b>No. Tarjeta: </b><%= detalles_pedidocrm[0].cobros[0].tarjeta.substr(0,6) %>XXXXXXX<%= detalles_pedidocrm[0].cobros[0].tarjeta.substr(13,15) %></div>
            </div>          
          </div>
        </div>

   
    
    <div class="panel panel-danger">
      <div class="panel-heading">Intentos de Cobro</div>

      <div style="width:100%;overflow-y: scroll;max-height: 200px;padding: 15px;">
        <table class="table table-bordered" id="logerrors">
            <thead>
              <th>Fecha</th>
              <th># Autorización</th>
              <th>Intentos</th>
              <th>Monto Cobrado</th>
            </thead>
            <tbody>
                <tr>
                  <td><%= detalles_pedidocrm[0].cobros[0].fCobro.date.substr(8,2) %>/<%= detalles_pedidocrm[0].cobros[0].fCobro.date.substr(5,2) %>/<%= detalles_pedidocrm[0].cobros[0].fCobro.date.substr(0,4) %>   <%= detalles_pedidocrm[0].cobros[0].fCobro.date.substr(11,18) %></td>
                  <td><%= detalles_pedidocrm[0].cobros[0].refBanco %></td>
                  <td><%= detalles_pedidocrm[0].cobros[0].idCob %></td>
                  <td>$<%= detalles_pedidocrm[0].cobros[0].mCobro %></td>
                </tr> 
          </tbody>  
        </table>
      </div>
    </div>
  <% } %>
  <% if(detalles_pedidocrm[0].mensajeria.length > 0){ %>    
      <div class="panel panel-default">
          <div class="panel-body" style="padding: 13px !important;">
            <div class="row">
              <div class="col-xs-6"><b>Mensajeria: </b><%= detalles_pedidocrm[0].mensajeria[0].mensajeria %></div>
              <div class="col-xs-6"><b>Fecha de Salida: </b><%= detalles_pedidocrm[0].mensajeria[0].fSalida.date.substr(8,2) %>/<%= detalles_pedidocrm[0].mensajeria[0].fSalida.date.substr(5,2) %>/<%= detalles_pedidocrm[0].mensajeria[0].fSalida.date.substr(0,4) %>     <%= detalles_pedidocrm[0].mensajeria[0].fSalida.date.substr(11,18) %></div>
            </div>          
          </div>
        </div>
  <% } %>  
</div>
<div class="col-xs-5">
  <div class="row">
    <div class="col-md-12" style="padding: 0px !important;">
        <div class="col-md-4" style="margin-bottom: 10px;font-weight: 700;">*Tipo Llamada:</div>
        <div class="col-md-8" style="margin-bottom: 10px;">
          <select id="tllamada" class="form-control" onchange="update_stllamada2()"><%= StipoLlamada %></select>
        </div>
    </div>    
    <div class="col-md-12" style="padding: 0px !important;">
        <div class="col-md-4" style="margin-bottom: 10px;font-weight: 700;">*Sub llamada:</div>
        <div class="col-md-8" style="margin-bottom: 10px;">
          <select id="stllamada" class="form-control"></select>
        </div>
    </div>
    <div class="col-md-12">
      <div class="col-md-12" style="margin-top: 15px;font-weight: 700;">*Comentarios:</div>
      <div class="col-md-12"><textarea id="comentarios" maxlength="150" style="resize:none;height: 200px;" class="form-control"></textarea></div>
    </div>
    <div class="col-md-12" style="margin-top: 15px; text-align: center;">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>&nbsp;&nbsp;&nbsp;<button type="button" class="btn btn-primary" onclick="saveComentarios('<%=detalles_pedidocrm[0].pedido%>')">Guardar</button>
    </div>
  </div>  
</div>
<div class="col-xs-12">
  <div class="row" style="margin-top: 20px;">
    <div class="col-md-12">
      <div class="panel panel-primary">
        <div class="panel-heading">Comentarios</div>

        <div style="width:100%;overflow-y: scroll;max-height: 200px;">
          <table class="table table-bordered" id="logerrors">
              <thead>
                <th>Fecha</th>
                <th>Tipo Llamada</th>  
                <th>Subtipo Llamada</th> 
                <th>Comentarios</th> 
                <th>Usuario</th>
              </thead>
              <tbody>
          <% if(detalles_pedidocrm[0].comentarios.length > 0){
                _.each(detalles_pedidocrm[0].comentarios ,function(item, key){ %>
              <tr>
                <td><%= item.fAlta.date.substr(8,2) %>/<%= item.fAlta.date.substr(5,2) %>/<%= item.fAlta.date.substr(0,4) %>   <%= item.fAlta.date.substr(11,18) %></td>
                <td><%= item.tipo %></td>
                <td><%= item.subTipo %></td>
                <td><%= item.comentario %></td>
                <td><%= item.usuario %></td>
              </tr>
              
          <%    });
            } %>
            </tbody>  
            </table>
          </div>
        </div>      
    </div>
  </div>  
</div>

</div>  

</script>


  <script type="text/javascript" src="{{ asset('bundles/mdrlegacy/js/tools_pm.js') }}"></script>

{% endblock %}



